Bug 15027 - Typo in GetItemsForInventory POD
Summary: Typo in GetItemsForInventory POD
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-19 05:44 UTC by David Cook
Modified: 2016-06-21 21:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15027: Correct Type in C4::Items perldoc (992 bytes, patch)
2015-10-19 13:29 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 15027: Correct Type in C4::Items perldoc (1.09 KB, patch)
2015-10-22 07:41 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15027: Correct Type in C4::Items perldoc (1.16 KB, patch)
2015-10-22 07:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15027: Correct Type in C4::Items perldoc (1.21 KB, patch)
2015-10-22 07:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2015-10-19 05:44:47 UTC
Just noticed some typos in the POD

Checkout "stautshash" below. It should be "statushash" and it should have a comma after $statushash at the end. Probably worth fixing in the event of someone copying and pasting, but not really a bug...

=head2 GetItemsForInventory

($itemlist, $iTotalRecords) = GetItemsForInventory( {
  minlocation  => $minlocation,
  maxlocation  => $maxlocation,
  location     => $location,
  itemtype     => $itemtype,
  ignoreissued => $ignoreissued,
  datelastseen => $datelastseen,
  branchcode   => $branchcode,
  branch       => $branch,
  offset       => $offset,
  size         => $size,
  stautshash   => $statushash
  interface    => $interface,
} );
Comment 1 M. Tompsett 2015-10-19 13:29:43 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-10-22 07:41:27 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-22 07:47:16 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-10-22 07:48:13 UTC
Created attachment 43736 [details] [review]
Bug 15027: Correct Type in C4::Items perldoc

As noted in the bug report, there is a typo.
This corrects that typo in documentation.

TEST PLAN
---------
1) perldoc C4::Items
2) Find GetItemsForInventory
   -- note that status is spelt incorrectly.
3) Apply patch
4) repeat steps 1-2
   -- note that status is spelt correctly now.
5) git diff origin/master
   -- note only that line changed.
6) run koha qa tools

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  This typo patch could hit the highway to master at high speeds.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: add a comma at the end of the line
Comment 5 Tomás Cohen Arazi 2015-10-22 13:48:59 UTC
Patch pushed to master.

Thanks Mark!
Comment 6 Chris Cormack 2015-10-24 09:50:45 UTC
Pushed to 3.20.x will be in 3.20.5